#
#  This file is part of MUMPS 5.4.1, released
#  on Tue Aug  3 09:49:43 UTC 2021
#
# These settings for a PC under Debian/linux with standard packages :
# metis (parmetis), scotch (ptscotch), openmpi, gfortran

# packages installation: 
# apt-get install libmetis-dev libparmetis-dev libscotch-dev libptscotch-dev libatlas-base-dev openmpi-bin libopenmpi-dev liblapack-dev

include $(USERCONFIG)

# Begin orderings
# scotch specified in SuiteOPT/SuiteOPTconfig/Userconfig.mk
LPORDDIR = $(topdir)/PORD/lib/
IPORD    = -I$(topdir)/PORD/include/
LPORD    = -L$(LPORDDIR) -lpord

LMETISDIR =  $(topdir)/../ldlibs
#IMETIS    = -I/usr/include/parmetis
IMETIS    = -I$(topdir)/../SuiteSparseX/include

# LMETIS    = -L$(LMETISDIR) -lparmetis -lmetis
LMETIS    = -L$(LMETISDIR) -lmetis

# Corresponding variables reused later
ORDERINGSF = -Dmetis -Dpord
ifneq ($(SCOTCH),)
    ORDERINGSF += -Dscotch
    LSCOTCH = -L$(SCOTCH) -lesmumps -lscotch -lscotcherr
endif
    
ORDERINGSC  = $(ORDERINGSF)

LORDERINGS = $(LMETIS) $(LPORD) $(LSCOTCH)
IORDERINGSF = $(ISCOTCH)
IORDERINGSC = $(IMETIS) $(IPORD) $(ISCOTCH)
# End orderings
################################################################################

PLAT    =
LIBEXT_SHARED  = .so
FPIC_OPT = -fPIC
# Adapt/uncomment RPATH_OPT to avoid modifying
# LD_LIBRARY_PATH in case of shared libraries
# RPATH_OPT = -Wl,-rpath,/path/to/MUMPS_x.y.z/lib/
LIBEXT  = .a
OUTC    = -o 
OUTF    = -o 
RM = /bin/rm -f
FL = $(FC)
AR = ar vr 
RANLIB = ranlib

INCSEQ = -I$(topdir)/libseq
LIBSEQ  = $(LAPACK) -L$(topdir)/libseq -lmpiseq

LIBOTHERS = -lpthread

#Preprocessor defs for calling Fortran from C (-DAdd_ or -DAdd__ or -DUPPER)
CDEFS   = -DAdd_

#Begin Optimized options
#OPTF: use the -fallow option if version of gfortran is >= 10
#OPTF: use the -fdefault-integer-8 flag for long integers
#OPTF: use -DGEMMT_AVAILABLE flag if this BLAS routine is available
OPTF   = -O3 -fopenmp -DGEMMT_AVAILABLE -fallow-argument-mismatch
#OPTF   = -O3 -fopenmp -fallow-argument-mismatch -fdefault-integer-8

#OPTC: use the -DINTSIZE64 option for long integer
OPTC    = -O3 -fopenmp
#OPTC    = -O3 -fopenmp -DINTSIZE64

OPTL    = -O3 -fopenmp
#End Optimized options
 
INCS = $(INCSEQ)
LIBS = $(LIBSEQ)
LIBSEQNEEDED = libseqneeded
